grk::RateInfo Class Reference

`#include <RateInfo.h>`

## Public Member Functions

| RateInfo ()
void | synch (CompressCodeblock *cblk)
uint16_t | getMinimumThresh ()

## Private Attributes

uint16_t | minimumSlope
uint16_t | maximumSlope

## Constructor & Destructor Documentation

## RateInfo()

grk::RateInfo::RateInfo | ( |  | ) |

## Member Function Documentation

## getMinimumThresh()

uint16_t grk::RateInfo::getMinimumThresh | ( |  | ) |

References minimumSlope.

## synch()

void grk::RateInfo::synch | ( | CompressCodeblock * | cblk | ) |

References grk::grk_read(), maximumSlope, minimumSlope, grk::CompressCodeblock::numPassesTotal, grk::CompressCodeblock::passes, and grk::CodePass::slope.

## Member Data Documentation

## maximumSlope

uint16_t grk::RateInfo::maximumSlope

private

Referenced by synch().

## minimumSlope

uint16_t grk::RateInfo::minimumSlope

private

Referenced by getMinimumThresh(), and synch().

The documentation for this class was generated from the following files:

- RateInfo.h
- RateInfo.cpp